# @the-order/schemas

Shared schemas and contracts for The Order using Zod.

## Usage

```typescript
import { UserSchema, DocumentSchema } from '@the-order/schemas';

const user = UserSchema.parse(userData);
const document = DocumentSchema.parse(documentData);
```

## Available Schemas

- `UserSchema` - User entity schema
- `DocumentSchema` - Document entity schema
- `DealSchema` - Deal entity schema

## OpenAPI Generation

```bash
pnpm generate:openapi
```

